<?php
/*
Peter,cmsez
Ipay result
*/
			global $_POST;
			$key ="0086dns"; //ipay的md5码
			$mid = "1256"; //4位商户号
			$mid = base64_decode($_POST[v_base64_mid]);
			$oid = base64_decode($_POST[v_base64_oid]);
			$sum = base64_decode($_POST[v_base64_pamount]);
			$mode = base64_decode($_POST[v_base64_pmode]);
			$status = base64_decode($_POST[v_base64_pstatus]);
			$string = base64_decode($_POST[v_base64_pstring]);
			$date = base64_decode($_POST[v_base64_pdate]);
			$md5 = base64_decode($_POST[v_base64_phpmd5]);
			$check = $mid.$oid.$mode.$status.$string.$sum.$date.$key;
			if(md5($check)==$md5){
				$orderinfo=$this->getTheOrder($oid);//获取数据库里面的订单信息
				$order_sum=$orderinfo[sum];//订单总金额
				if($order_sum!=$sum) error(_LANG_0419);//和订单的金额不付
				$sql="update $this->cdb set ispay='yes' where id=$oid";//设定为已经支付了
				if($this->db->queryF($sql)){
					echo ""._LANG_0420."<B>".$orderinfo[order][oid]."</B>"._LANG_0421."";
				}else{
					echo ""._LANG_0420."<B>".$orderinfo[order][oid]."</B>"._LANG_0422."";
				}
			//支付成功
			}else{
				echo ""._LANG_0420.":<B>".$orderinfo[order][oid]."</B>"._LANG_0422."";
			}
?>